<%@ page contentType="text/html; charset=utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="cm" uri="/commons-tags" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>员工详细信息</title>
<s:include value="../common/head.jsp" />
<link href="../resources/style/base.css" rel="stylesheet" type="text/css"/>

<link type="text/css" href="../resources/js/jquery/css/redmond/jquery-ui-1.8.10.custom.css" rel="stylesheet" />
<script type="text/javascript" src="../resources/js/jquery/jquery-ui-1.8.10.custom.min.js"></script>
<script language="javascript" src="../code/vm/ExtCodeJs.htm"></script>
<script language="javascript" src="../resources/js/calendar/calendar.js"></script>
<style>
html {
	margin:0;
	padding:0;
}
</style>
<script type="text/javascript">
	var $tabs;
	
	function resizeTabs(){
		$("#tabs-0").height($(window).height()-40);
		$("#tabs-1").height($(window).height()-40);
		$("#tabs-2").height($(window).height()-40);
		$("#tabs-3").height($(window).height()-40);
	}
	
	//初始化加载页面
	function initTabData(tabId){
		var $iframe=$("#"+tabId+" > iframe");
		if($iframe.attr("src")==""){
			$iframe.attr("src",$iframe.attr("srcUrl"));
		}
	}
	
	//页面初始化，主要是显示一个tab
	function initPage(){
		var tabId="${param.tab}";
		if(tabId=="" || tabId=="0"){
			initTabData("tabs-0");
		}else{
			$tabs.tabs('select', tabId); 
		}
	}
	
	$(function(){
		$('#tabs').css("display","");
		$tabs=$('#tabs').tabs();
		$tabs.bind('tabsshow', function(event, ui) {
			initTabData(ui.panel.id);
		});
		resizeTabs();
		initPage();
	});
	
	$(window).resize(function(){
		resizeTabs();
	});
</script> 
</head>

<body style="margin:0; padding:0; ">
<div style="width:auto;">
  <div id="tabs" style="width:auto; height:auto!important; border:0; display:none;">
    <ul>
      <li><a href="#tabs-0" style="font-size:13px; margin:0; padding:0.2em 1em;">基本资料</a></li>
      <li><a href="#tabs-1" style="font-size:13px; margin:0; padding:0.2em 1em;">附加资料</a></li>
      <li><a href="#tabs-2" style="font-size:13px; margin:0; padding:0.2em 1em;">扩展资料</a></li>
      <li><a href="#tabs-3" style="font-size:13px; margin:0; padding:0.2em 1em;">人事档案</a></li>
    </ul>
    <div id="tabs-0" style=" padding:0; margin:0;">
    	<iframe id="emplInfoEditIFrame" srcUrl="<s:url action='emplInfoEdit'/>?regular=${param.regular}&first=${param.first}&emplInfo.id=<s:property value='emplInfo.id'/>" style="width:100%; height:100%;" src="" frameborder="0" scrolling="auto"></iframe>
    </div>
    
    <div id="tabs-1" style=" padding:0; margin:0;">
    	<iframe id="emplInfoLinkListIFrame" srcUrl="<s:url action='emplInfoLinkList'/>?emplInfo.id=<s:property value='emplInfo.id'/>" style="width:100%; height:100%;" src="" frameborder="0" scrolling="auto"></iframe>
    </div>
    
    <div id="tabs-2" style=" padding:0; margin:0;">
    	<iframe id="emplInfoExtDetailIFrame" srcUrl="<s:url action='emplInfoExtDetail'/>?emplInfo.id=<s:property value='emplInfo.id'/>" style="width:100%; height:100%;" src="" frameborder="0" scrolling="auto"></iframe>
    </div>
    
    <div id="tabs-3" style="padding:0; margin:0;">
    	<iframe id="emplInfoHrListIFrame" srcUrl="<s:url action='emplInfoHrList'/>?emplInfo.id=<s:property value='emplInfo.id'/>" style="width:100%; height:100%;" src="" frameborder="0" scrolling="auto"></iframe>
    </div>
    
  </div>
</div>
</body>
</html>